let 
  boltLauncherRuneliteDir = "/home/evar/.var/app/com.adamcake.Bolt/data/bolt-launcher/.runelite";
  sharedRuneliteDir = "/home/evar/Virtio Shared/.runelite";

  mountSharedRuneliteDir = dir: {
    "${boltLauncherRuneliteDir}/${dir}" = {
      depends = [ "/home/evar" ];
      device = "${sharedRuneliteDir}/${dir}";
      fsType = "none";
      options = [ "bind" "rwx" ];
    };
  };
in 
{
  fileSystems = mountSharedRuneliteDir "loots" // 
                mountSharedRuneliteDir "screenshots" // 
                mountSharedRuneliteDir "supplies-tracker";
}